/*
	Twilight Prophecy 3D/Multimedia SDK
	A multi-platform development system for virtual reality and multimedia.

	Copyright (C) 1997-2001 by Twilight 3D Finland Oy Ltd.
*/
#ifndef PRCORE_JOYSTICK_HPP
#define PRCORE_JOYSTICK_HPP



namespace prcore
{

	class Joystick : public InputBase
	{
		public:

		Joystick(WinHandle handle, int index=0);
		~Joystick();

		int			GetAxisCount() const;
		int			GetButtonCount() const;
		float		GetAxis(int);
		bool		GetButton(int code);

static int			GetJoystickCount();
static const char*	GetJoystickName(int index);

		private:

		class JoystickRep*	mpRep;
	};

} // namespace prcore



#endif